Skip to main content
The meta-collections sub1k and sub10k can be retrieved using those strings as the slug parameter.
To use these endpoints on testnet4 or signet, send your request to https://testnet.api.bestinslot.xyz or https://signet_api.bestinslot.xyz respectively, using your existing API key.

Get collections

Available on: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/collections
Returns an ordered list of collections with detailed information about each one.
inscription_icon_id may be a URL for some collections.
The fields listed_count, floor_price, floor_price_ordswap, floor_price_magiceden, floor_price_ordinalswallet, floor_price_gammaio, floor_price_ordynals, floor_price_ordinalsmarket, floor_price_okx, vol_24h_in_btc, vol_7d_in_btc, sale_cnt_7d, vol_total_in_btc, sale_cnt_total, and marketcap are only available on the Pro tier.

Parameters

sort_by
string
required
Sort field. Available on all tiers: supply, min_number, median_number, max_number.Pro tier only: listed_count, floor_price, floor_price_ordswap, floor_price_magiceden, floor_price_ordinalswallet, floor_price_gammaio, floor_price_ordynals, floor_price_ordinalsmarket, floor_price_unisat, floor_price_okx, vol_24h_in_btc, vol_7d_in_btc, sale_cnt_7d, vol_total_in_btc, sale_cnt_total, marketcap.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "name": "Quantum Cats",
            "slug": "quantum_cats",
            "inscription_icon_id": "https://creator-hub-prod.s3.us-east-2.amazonaws.com/ord-taproot_wizards_presents_pfp_1706542390359.png",
            "icon_url": "https://creator-hub-prod.s3.us-east-2.amazonaws.com/ord-taproot_wizards_presents_pfp_1706542390359.png",
            "icon_render_url": null,
            "bis_url": "https://bestinslot.xyz/ordinals/collection/quantum_cats",
            "supply": "3333",
            "min_number": 53785860,
            "median_number": 53788086,
            "max_number": 53790617,
            "listed_count": 132,
            "floor_price": 12136980,
            "floor_price_ordswap": null,
            "floor_price_magiceden": 12136980,
            "floor_price_ordinalswallet": null,
            "floor_price_gammaio": null,
            "floor_price_ordynals": null,
            "floor_price_unisat": null,
            "floor_price_ordinalsmarket": 199000000,
            "floor_price_okx": 20000000,
            "vol_3h_in_btc": 0.20895894,
            "vol_24h_in_btc": 0.20895894,
            "vol_7d_in_btc": 16.14854946,
            "vol_30d_in_btc": 92.46122358,
            "sale_cnt_7d": 139,
            "vol_total_in_btc": 1683.87253749,
            "sale_cnt_total": 6352,
            "marketcap": 40452554340
        }
    ],
    "block_height": 889392
}

Get collection information

Available on: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/info
Returns detailed information about a specific collection.
inscription_icon_id may be a URL for some collections.

Parameters

slug
string
required
Collection slug (e.g., degods).

Response

{
    "data": {
        "name": "Strokes by zond",
        "twitter_link": "https://twitter.com/imgdotart",
        "discord_link": "https://discord.gg/nzQvtTfGJY",
        "website_link": "",
        "description": "",
        "supply": "16",
        "inscription_icon_id": "facd59ddb3d1822b6433eb297a1c4e11d46b75bb98559e3167f4f12e367da28ei0",
        "min_number": 131639,
        "median_number": 131647,
        "max_number": 131654,
        "icon_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/facd59ddb3d1822b6433eb297a1c4e11d46b75bb98559e3167f4f12e367da28ei0",
        "icon_render_url": "https://bis-ord-renders.fra1.cdn.digitaloceanspaces.com/renders/facd59ddb3d1822b6433eb297a1c4e11d46b75bb98559e3167f4f12e367da28ei0.png",
        "bis_url": "https://bestinslot.xyz/ordinals/collection/strokes-by-zond"
    },
    "block_height": 836797
}

Get collection holders

Available on: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/holders
Returns an array of holder information. Each entry contains a wallet address and the inscription IDs held by that wallet.

Parameters

slug
string
required
Collection slug.
sort_by
string
Optional. Sort field: wallet_addr.
order
string
Optional. Sort direction: asc or desc.
offset
integer
Optional. Pagination offset. Must be >= 0.
count
integer
Optional. Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "wallet": "bc1phw8w74ghl05k2h8lfxsmf45cygw4h6jhl7etm8qn5jjctpgyaxusl94w8s",
            "inscription_ids": [
                "22c8afa20c013499e278318e30e4745fbaa7b613e8b9a954d6d3661322c66816i0",
                "48c922a1d013c7d179c291f39dd0f2b3bc2c194a0bc464fdd16f52f11da4ad1ei0",
                "c8548df15991a6bd2dfb89cc421f0d4256cebf197768ec4c8183276e125237fbi0",
                "885c64b7d183330186cb20cd4bfeba4209e8f3c17939a0188634ddd7ebe34455i0",
                "2a285972320858c90c7ae2477c55ec106f9cc50caa9a4fa6d456cbfbaf2fac6di0",
                "faacc3092fd920711515f40997ea273a4c08967d6d2e7404ab73e2064d2ccd88i0"
            ]
        }
    ],
    "block_height": 795035
}

Get collection inscriptions

Available on: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/inscriptions
Returns an ordered list of inscriptions belonging to a specific collection.
last_sale_price is only available on the Pro tier.

Parameters

slug
string
required
Collection slug.
sort_by
string
required
Sort field: inscr_num.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "name": "Runestone",
            "inscription_id": "5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci19",
            "inscription_number": 64362443,
            "metadata": {
                "name": "Runestone"
            },
            "owner_wallet_addr": "12dSsr8sFs21kpWaD2spSweFmyNzkZ8eRu",
            "mime_type": "model/gltf+json",
            "last_transfer_block_height": 834708,
            "parent_ids": [
                "fdb2df5d2b16db1ebcbf09e2d23b3f4e417db44b58e712c99b61f26b52c7cbb5i0"
            ],
            "genesis_height": 834708,
            "last_sale_price": null,
            "content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci19",
            "bis_url": "https://bestinslot.xyz/ordinals/inscription/5f3dafcdd142358b332e0939d37174b76472735df8df29325901d2c7d18a152ci19",
            "render_url": null,
            "delegate": {
                "delegate_id": "ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
                "render_url": "https://bis-ord-renders.fra1.cdn.digitaloceanspaces.com/renders/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0.png",
                "mime_type": "model/gltf+json",
                "content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0",
                "bis_url": "https://bestinslot.xyz/ordinals/inscription/ed76bf35918948b8b78be0e6397ad4916d926dd3d65679a8b7e67d8699a672a0i0"
            }
        }
    ],
    "block_height": 799055
}

Get collection sales information

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/sales_info
Returns sales and volume information about a specific collection.

Parameters

slug
string
required
Collection slug.
marketplace_type
string
Optional. Filter results by a specific marketplace. See the Constants page for allowed values.

Response

{
    "data": {
        "vol_3h": "9970000",
        "vol_6h": "45228879",
        "vol_9h": "82738348",
        "vol_12h": "94525896",
        "vol_1d": "140485613",
        "vol_3d": "995189800",
        "vol_7d": "2282078504",
        "vol_30d": "20435090360",
        "vol_total": "49541749144",
        "sale_count": 12274,
        "marketplace": "all"
    },
    "block_height": 795035
}

Get collection market information

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/market_info
Returns market data for a specific collection, including floor price, listed count, and marketcap.

Parameters

slug
string
required
Collection slug.

Response

{
    "data": {
        "listed_count": 311,
        "floor_price": 20706000,
        "floor_price_ordswap": null,
        "floor_price_magiceden": 20706000,
        "floor_price_ordinalswallet": 300000000,
        "floor_price_gammaio": null,
        "floor_price_unisat": 100500000,
        "floor_price_ordynals": null,
        "floor_price_ordinalsmarket": null,
        "floor_price_okx": 57899999,
        "supply": "5243",
        "marketcap": 108561558000
    },
    "block_height": 849817
}

Get collection listings

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/listings
Returns an ordered list of active listings for a specific collection.

Parameters

slug
string
required
Collection slug.
sort_by
string
required
Sort field: min_price, ordswap_price, magiceden_price, ordinalswallet_price, gammaio_price, odynals_price, unisat_price, ordinalsmarket_price, okx_price.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be between 0 and 5000 inclusive.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "inscription_id": "02696786f173f05e55b457d12ef41bfcc905acd6ee5c0c61b80d8679a4ea91c9i0",
            "min_price": 4284000,
            "ordswap_price": null,
            "magiceden_price": 4284000,
            "ordinalswallet_price": null,
            "gammaio_price": null,
            "nostr_price": null,
            "odynals_price": null,
            "unisat_price": null,
            "ordinalsmarket_price": null,
            "okx_price": null,
            "owner_wallet_addr": "bc1pg95hedhcnrv9gu595n7ysy4apu6c0cz9vrs08dxd59p7kn5zyv0s6zdv0p"
        }
    ],
    "block_height": 803265
}

Get collection activity

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/collection/activity
Returns an ordered stream of inscription events (inscribes, transfers, and sales) for a specific collection.
Use last_new_satpoint to resume an activity stream from where you left off. Because new_satpoint uniquely identifies a single inscription transfer, you can set order to asc and pass the most recent new_satpoint value you have received as last_new_satpoint (with offset set to 0) to retrieve only new activity.

Parameters

slug
string
required
Collection slug.
activity_filter
integer
required
Bitmask controlling which event types are returned. Combine values with a bitwise OR:
  • 1 — inscribed
  • 2 — transferred
  • 4 — sold
Example: 6 returns transfers and sales (2 | 4). 7 returns all event types.
sort_by
string
required
Sort field: ts.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be between 0 and 5000 inclusive.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.
last_new_satpoint
string
Optional. Use with offset=0 to continue streaming from a known transfer. Pass the new_satpoint value of the last event you received.

Response

{
    "data": [
        {
            "inscription_id": "daf55547be8fd88f242ce24b3af11ec9f4d602b0c05b4b23967dfcd160ac719di0",
            "from_wallet": "bc1pm2grfjnvhrfjff965cs63gma5ze02v3572wks9mdl7kxjyt2q58q5es97l",
            "to_wallet": "bc1pdly22tta7wx56j9xhygzg5dwnd4a3xnj7qyt9ewrajn9hvmha9msfpm3sd",
            "block_height": 795034,
            "sale_price": -1,
            "new_satpoint": "5cd78b9bf19d80a1d525564ef7df775b65f0cc15e5f7bbafcb724c1b8995615c:0:0",
            "ts": "2023-06-19T09:30:18.000Z",
            "marketplace_type": "magiceden",
            "tx_id": "5cd78b9bf19d80a1d525564ef7df775b65f0cc15e5f7bbafcb724c1b8995615c"
        }
    ],
    "block_height": 795035
}